# Created by pyp2rpm-3.3.5
%global pypi_name msal-extensions

Name:           python-%{pypi_name}
Version:        1.1.0
Release:        %mkrel 1
Summary:        Microsoft Authentication Library extensions (MSAL EX) provides a persistence API that can save your data on disk, encrypted on Windows, macOS and Linux
Group:          Development/Python
License:        MIT
URL:            https://github.com/AzureAD/microsoft-authentication-library-for-python
Source0:        https://files.pythonhosted.org/packages/source/m/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
Patch0:         0001-relax-requirements.patch
BuildArch:      noarch
BuildRequires:  python3-devel

%description
The Microsoft Authentication Extensions for Python offers secure mechanisms for
client applications to perform cross-platform token cache serialization and
persistence. It gives additional support to the Microsoft Authentication
Library for Python (MSAL).

MSAL Python supports an in-memory cache by default and provides the
SerializableTokenCache to perform cache serialization. You can read more about
this in the MSAL Python documentation. Developers are required to implement
their own cache persistance across multiple platforms and Microsoft 
Authentication Extensions makes this simpler.

The supported platforms are Windows, Mac and Linux.
Linux - LibSecret is used for encryption.


%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
The Microsoft Authentication Extensions for Python offers secure mechanisms for
client applications to perform cross-platform token cache serialization and
persistence. It gives additional support to the Microsoft Authentication
Library for Python (MSAL).

MSAL Python supports an in-memory cache by default and provides the
SerializableTokenCache to perform cache serialization. You can read more about
this in the MSAL Python documentation. Developers are required to implement
their own cache persistance across multiple platforms and Microsoft 
Authentication Extensions makes this simpler.

The supported platforms are Windows, Mac and Linux.
Linux - LibSecret is used for encryption.


%prep
%autosetup -n %{pypi_name}-%{version} -p1
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files msal_extensions

# Test doesn't pass, it suppose that IOS parts are present

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.md


%changelog
* Fri Feb 23 2024 papoteur <papoteur> 1.1.0-1.mga10
+ Revision: 2043526
- rebuild for python 3.12
- new version 1.1.0
- use pyrpoject

* Thu Jul 14 2022 papoteur <papoteur> 1.0.0-1.mga9
+ Revision: 1868807
- imported package python-msal-extensions

